---
# плейбук состоит из списка плеев объектов в которых описаны хосты, задачи и тд
# https://docs.ansible.com/ansible/latest/user_guide/playbooks_intro.html
- hosts: all # Хосты для которых выполняется ansible
  remote_user: root
  tasks:
    - name: Install packages for
      ansible.builtin.apt:
        name: python3-pip
        update_cache: yes

    - name: Install Docker Module for Python
      ansible.builtin.pip:
        name: docker

    - name: Run container
      # Используем модуль community.docker.docker_container
      community.docker.docker_container:
        name: hexlet-app # Имя контейнера
        image: hexlet/hexlet-app # Имя используемого образа
        # Публикуемые порты. Слева порт внутри контейнера,
        # справа порт по которому он будет доступен снаружи
        published_ports: 80:8080
        restart_policy: always
        restart: yes
        container_default_behavior: no_defaults
        pull: yes
        # Задаём переменные окружения
        env:
          # Тут должна быть переменная из сбора фактов
          # которая выводит IP-адрес текущего сервера
          SERVER_MESSAGE: '...'

# Можем использовать отдельный блок (play) для подготовки мониторинга
# Другой вариант - использовать include_role для задавания порядка (сперва выполняются роли, потом таски)
- hosts: all
  gather_facts: yes
  remote_user: root
  roles:
    - name: datadog.datadog
